<template>
    <div class='main'>
        <div style='margin: 2%'>
        <h1> <b>Listagem de Motoristas</b> </h1>
        <router-link to='/motorista_add'>
            <button type="button" class="btn btn-primary">Cadastrar</button>
        </router-link>
        </div>
    <table class="table">
        <thead class="bg-success">
          <tr>
            <th>ID</th>
            <th>Nome</th>
            <th>Disponibilidade</th>
            <th>Ações</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="motorista of motoristas" :key="motorista.id">
            <td>{{ motorista.id }}</td>
            <td>{{ motorista.nome }}</td>
            <td>{{ motorista.disponivel }}</td>
            <td> <button type="button" class="btn btn-danger">Deletar</button>
            <button type="button" class="btn btn-info" style="margin-left: 2%">Editar</button> </td>
          </tr>
        </tbody>
    </table>
</div>
    
</template>

<script>
  import Motorista from '../services/motoristas'

  export default {

    data() {
      return {
        motoristas: []
      }
    },

    mounted() {
      Motorista.listar().then(resposta => {
        console.log(resposta.data)
        this.motoristas = resposta.data
      })
    }
  }
</script>


